Verify a bank account

Verify an existing bank account.

When you create a bank account, BILL sends a test ACH payment to the bank account to confirm whether the account details are accurate. Enter the test amount as the depositAmount value in your POST /v3/funding-accounts/banks/{bankAccountId}/verify request.

Note: Bank account verification is required in the production environment before the account can be used for other BILL operations. In the sandbox environment, set depositAmount as 0.50 to complete bank account verification.

The bank account status is set as VERIFIED when BILL is able to verify the depositAmount value. BILL sends an email notification for confirming a test transaction. When BILL cannot verify the bank account after three attempts, you cannot use the bank account. At this point, use another bank account or create a bank account with POST /v3/funding-accounts/banks.

After your bank account verification is complete, ensure that the current bank account user verificationStatus is set as VERIFIED before you can use the bank account. To begin the verification process, nominate a bank account user with POST /v3/funding-accounts/banks/users/nominate.

See Bank account setup (v3 API) in the Guides section for more information, sample requests, and responses.

Path Params
string
required

BILL-generated ID of the bank account. The value begins with bac.

Body Params
number
required
0.01 to 0.99

Verify deposit amount.

Enter an amount between 0.01 and 0.99. In the sandbox environment, set this field as 0.50 to complete bank account verification.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json